/* SCE CONFIDENTIAL
PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
 * Copyright (C) 2006 Sony Computer Entertainment Inc.
 * All Rights Reserved.
 */

#ifndef __CELL_SPURS_BARRIER_H__
#define __CELL_SPURS_BARRIER_H__ 1

/* The C Standard Library */
#include <stdint.h>

/* SPURS */
#include <cell/spurs/barrier_types.h>
#include <cell/spurs/error.h>

#ifdef __cplusplus
extern "C" {
#endif

int cellSpursBarrierInitialize(uint64_t ea, unsigned int total);
int cellSpursBarrierTryNotify(uint64_t ea);
int cellSpursBarrierNotify(uint64_t ea);
int cellSpursBarrierTryWait(uint64_t ea);
int cellSpursBarrierWait(uint64_t ea);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __CELL_SPURS_BARRIER_H__ */

/*
 * Local Variables:
 * mode: C
 * c-file-style: "stroustrup"
 * tab-width: 4
 * End:
 * vim:sw=4:sts=4:ts=4
 */
